"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.WebhookIdentityType = exports.V2RestorationStatus = exports.Type = exports.Status = exports.GCBackupResponseStatus = exports.RestorationStatus = exports.Segment = void 0;
var Segment;
(function (Segment) {
    Segment["Dev"] = "Dev";
    Segment["Public"] = "Public";
})(Segment || (exports.Segment = Segment = {}));
var RestorationStatus;
(function (RestorationStatus) {
    RestorationStatus["PENDING"] = "PENDING";
    RestorationStatus["FAILED"] = "FAILED";
    RestorationStatus["COMPLETED"] = "COMPLETED";
    RestorationStatus["CANCELED"] = "CANCELED";
})(RestorationStatus || (exports.RestorationStatus = RestorationStatus = {}));
var GCBackupResponseStatus;
(function (GCBackupResponseStatus) {
    GCBackupResponseStatus["PENDING"] = "PENDING";
    GCBackupResponseStatus["READY"] = "READY";
    GCBackupResponseStatus["FAILED"] = "FAILED";
    GCBackupResponseStatus["CANCELED"] = "CANCELED";
})(GCBackupResponseStatus || (exports.GCBackupResponseStatus = GCBackupResponseStatus = {}));
var Status;
(function (Status) {
    /** Backup creation is in progress. */
    Status["PENDING"] = "PENDING";
    /** Backup has been created successfully and can be used for data restoration. */
    Status["READY"] = "READY";
    /** Backup creation has failed. */
    Status["FAILED"] = "FAILED";
    /** Backup has been deleted. */
    Status["DELETED"] = "DELETED";
    /** Backup has been canceled. */
    Status["CANCELED"] = "CANCELED";
})(Status || (exports.Status = Status = {}));
var Type;
(function (Type) {
    /** Backup taken on demand. */
    Type["ON_DEMAND"] = "ON_DEMAND";
    /** Backup taken automatically by the system on a regular schedule. */
    Type["AUTO"] = "AUTO";
})(Type || (exports.Type = Type = {}));
var V2RestorationStatus;
(function (V2RestorationStatus) {
    /** Restoration from a backup is in progress. */
    V2RestorationStatus["PENDING"] = "PENDING";
    /** Restoration from a backup has been successful. */
    V2RestorationStatus["COMPLETED"] = "COMPLETED";
    /** Restoration from a backup has failed. */
    V2RestorationStatus["FAILED"] = "FAILED";
})(V2RestorationStatus || (exports.V2RestorationStatus = V2RestorationStatus = {}));
var WebhookIdentityType;
(function (WebhookIdentityType) {
    WebhookIdentityType["UNKNOWN"] = "UNKNOWN";
    WebhookIdentityType["ANONYMOUS_VISITOR"] = "ANONYMOUS_VISITOR";
    WebhookIdentityType["MEMBER"] = "MEMBER";
    WebhookIdentityType["WIX_USER"] = "WIX_USER";
    WebhookIdentityType["APP"] = "APP";
})(WebhookIdentityType || (exports.WebhookIdentityType = WebhookIdentityType = {}));
//# sourceMappingURL=data-v2-backup-data.types.js.map